@import (reference) "../../styles/vars.less";

#block_hero {
    background-color: @yellow_color;
    height: auto;
    padding: 70px 0px;
    position: relative;

    .hero {

        &__photo {

            @media screen and (max-width: 670px) {
                display: none;
            }

            .image {
                position: absolute;
                top: -200px;
                z-index: 999;
                height: 901px;
                width: 50%;
                right: 0;

                &::selection {
                    background-color: transparent;
                }
            }
        }

        &__content {
            @media screen and (max-width: 670px) {
                text-align: center;
            }


            .title {
                p {
                    font-size: 60px;
                    line-height: 83px;
                    font-weight: normal;
                    margin: 0 !important;

                    &::selection {
                        background-color: transparent;
                        color: @white_color;
                        text-shadow: -1px 0 @black_color, 0 1px @black_color, 1px 0 @black_color, 0 -1px @black_color;
                    }
                }
            }

            p {
                font-size: 14px;
                line-height: 25px;
                font-weight: 600;

                &::selection {
                    background-color: transparent;
                    color: @white_color
                }
            }

            button {
                width: 350px;
                height: 53px;
                font-size: 16px;
                font-weight: 600;
                text-transform: uppercase;
                background-color: @purple_color;
                color: @white_color;
                margin-top: 50px;
                border: 1px solid @purple_color;

                &:hover {
                    border-color: @black_color;
                    background-color: @white_color;
                    color: @yellow_color;
                }

                &::selection {
                    background-color: transparent;
                }
            }

            .arrow {
                transform: rotate(90deg);
                position: absolute;
                left: 75px;
                bottom: -5px;

                @media screen and (max-width: 670px) and (min-width: 400px) {
                    position: absolute;
                    left: 150px;
                }

                &::selection {
                    background-color: transparent;
                }


            }

            .lines,
            .circles {
                position: absolute;
                z-index: 1000;

                @media screen and (max-width: 670px) {
                    display: none;
                }

                &::selection {
                    background-color: transparent;
                }
            }

            .lines {
                width: 119px;
                top: 60px;
                right: -90px;
            }

            .circles {
                width: 147px;
                right: -74px;
            }
        }
    }
}